Subject: Re: [PATCH net-next v3 06/12] net: vxlan: make vxlan_snoop() return drop reasons

From: Simon Horman <[email-masked]>
Date: Sat, 14 Sep 2024 10:33:32 +0100

On Fri, Sep 13, 2024 at 05:13:41PM +0800, Menglong Dong wrote:
> On Thu, Sep 12, 2024 at 10:30 AM Menglong Dong <[email-masked]> wrote:
> >
> > On Wed, Sep 11, 2024 at 4:08 PM Ido Schimmel <[email-masked]> wrote:
> > >
> > > On Mon, Sep 09, 2024 at 03:16:46PM +0800, Menglong Dong wrote:
> > > > @@ -1447,7 +1448,7 @@ static bool vxlan_snoop(struct net_device *dev,
> > > >
> > > >       /* Ignore packets from invalid src-address */
> > > >       if (!is_valid_ether_addr(src_mac))
> > > > -             return true;
> > > > +             return SKB_DROP_REASON_VXLAN_INVALID_SMAC;
> > >
> > > [...]
> > >
> > > > diff --git a/include/net/dropreason-core.h b/include/net/dropreason-core.h
> > > > index 98259d2b3e92..1b9ec4a49c38 100644
> > > > --- a/include/net/dropreason-core.h
> > > > +++ b/include/net/dropreason-core.h
> > > > @@ -94,6 +94,8 @@
> > > >       FN(TC_RECLASSIFY_LOOP)          \
> > > >       FN(VXLAN_INVALID_HDR)           \
> > > >       FN(VXLAN_VNI_NOT_FOUND)         \
> > > > +     FN(VXLAN_INVALID_SMAC)          \
> > >
> > > Since this is now part of the core reasons, why not name it
> > > "INVALID_SMAC" so that it could be reused outside of the VXLAN driver?
> > > For example, the bridge driver has the exact same check in its receive
> > > path (see br_handle_frame()).
> > >
> >
> > Yeah, I checked the br_handle_frame() and it indeed does
> > the same check.
> >
> > I'll rename it to INVALID_SMAC for general usage.
> >
> 
> Hello, does anyone have more comments on this series before I
> send the next version?

Hi,

As you may have noted after posting the above,
net-next is now closed until after v6.12-rc1 has been released.
So, most likely, you will need to hold of on posting v4 until then.